SplitPane.Divider (JavaFX 13)

Module javafx.controls
Package javafx.scene.control

## Class SplitPane.Divider

- java.lang.Object
- - javafx.scene.control.SplitPane.Divider

- Enclosing class:
    SplitPane

      public static class SplitPane.Divider
      extends Object

  Represents a single divider in the SplitPane.
  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `position` | Represents the location where the divider should ideally be positioned, between 0.0 and 1.0 (inclusive).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Divider()` | Creates a default Divider instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getPosition()` | Gets the value of the property position.
    `DoubleProperty` | `positionProperty()` | Represents the location where the divider should ideally be positioned, between 0.0 and 1.0 (inclusive).
    `void` | `setPosition​(double value)` | Sets the value of the property position.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### position

          public final DoubleProperty positionProperty

      Represents the location where the divider should ideally be positioned, between 0.0 and 1.0 (inclusive). 0.0 represents the left- or top-most point, and 1.0 represents the right- or bottom-most point (depending on the horizontal property). The SplitPane will attempt to get the divider to the point requested, but it must take into account the minimum width/height of the nodes contained within it.

      As the user drags the SplitPane divider around this property will be updated to always represent its current location.

      Default value:
        0.5
      See Also:
        `getPosition()`, `setPosition(double)`

  - ### Constructor Detail

    - #### Divider

          public Divider()

      Creates a default Divider instance.

  - ### Method Detail

    - #### setPosition

          public final void setPosition​(double value)

      Sets the value of the property position.
      Property description:

        Represents the location where the divider should ideally be positioned, between 0.0 and 1.0 (inclusive). 0.0 represents the left- or top-most point, and 1.0 represents the right- or bottom-most point (depending on the horizontal property). The SplitPane will attempt to get the divider to the point requested, but it must take into account the minimum width/height of the nodes contained within it.

        As the user drags the SplitPane divider around this property will be updated to always represent its current location.

      Default value:
        0.5

    - #### getPosition

          public final double getPosition()

      Gets the value of the property position.
      Property description:

        Represents the location where the divider should ideally be positioned, between 0.0 and 1.0 (inclusive). 0.0 represents the left- or top-most point, and 1.0 represents the right- or bottom-most point (depending on the horizontal property). The SplitPane will attempt to get the divider to the point requested, but it must take into account the minimum width/height of the nodes contained within it.

        As the user drags the SplitPane divider around this property will be updated to always represent its current location.

      Default value:
        0.5

    - #### positionProperty

          public final DoubleProperty positionProperty()

      Represents the location where the divider should ideally be positioned, between 0.0 and 1.0 (inclusive). 0.0 represents the left- or top-most point, and 1.0 represents the right- or bottom-most point (depending on the horizontal property). The SplitPane will attempt to get the divider to the point requested, but it must take into account the minimum width/height of the nodes contained within it.

      As the user drags the SplitPane divider around this property will be updated to always represent its current location.

      Default value:
        0.5
      See Also:
        `getPosition()`, `setPosition(double)`